Package help.screenshot

# Class TutorialScreenShotGenerator

java.lang.Object
generic.test.AbstractGTest
generic.test.AbstractGenericTest
generic.test.AbstractGuiTest
docking.test.AbstractDockingTest
ghidra.test.AbstractGhidraHeadlessIntegrationTest
ghidra.test.AbstractGhidraHeadedIntegrationTest
help.screenshot.AbstractScreenShotGenerator
help.screenshot.TutorialScreenShotGenerator

public class TutorialScreenShotGenerator extends AbstractScreenShotGenerator

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class generic.test.AbstractGuiTest

  `AbstractGuiTest.ExceptionHandlingRunner`

- ## Field Summary

  ### Fields inherited from class help.screenshot.AbstractScreenShotGenerator

  `DEFAULT_FILENAME_SUFFIX, DIALOG_HEADER_HEIGHT, env, image, NEW_FILENAME_SUFFIX, NEW_FILENAME_SUFFIX_KEY, program, SAVE_CREATED_IMAGE_FILE, SAVE_CREATED_IMAGE_FILE_KEY, tool`

  ### Fields inherited from class ghidra.test.AbstractGhidraHeadlessIntegrationTest

  `PROJECT_NAME`

  ### Fields inherited from class generic.test.AbstractGenericTest

  `concurrentTestExceptionRule, DEFAULT_TEST_TOOL_NAME, DEFAULT_TOOL_NAME, repeatedRule, ruleChain, TESTDATA_DIRECTORY_NAME, watchman`

  ### Fields inherited from class generic.test.AbstractGTest

  `BATCH_MODE, DEFAULT_WAIT_DELAY, DEFAULT_WAIT_TIMEOUT, DEFAULT_WINDOW_TIMEOUT, PARALLEL_MODE, PRIVATE_LONG_WAIT_TIMEOUT, testName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TutorialScreenShotGenerator()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `saveToFile(String absolutePathToImage)`
  `void`
  `showImage()`
  Deprecated.
  NOTE: Please do not remove this until we have decided how to create a showImage() method that is compatible with screenshots NOT in Help (ahem, Tutorial!!!).

  ### Methods inherited from class help.screenshot.AbstractScreenShotGenerator

  `addr, address, addSelection, captureActionIcon, captureComponent, captureComponents, captureDialog, captureDialog, captureDialog, captureDialog, captureDialog, captureDialog, captureDialog, captureDialog, captureIcon, captureIsolatedComponent, captureIsolatedProvider, captureIsolatedProvider, captureIsolatedProviderWindow, captureListingField, captureListingRange, captureMenu, captureMenuBarMenu, captureMenuBarMenuHierachy, captureProvider, captureProvider, captureProvider, captureProviderWindow, captureProviderWindow, captureProviderWindow, captureProviderWindow, captureProviderWindow, captureProviderWithScreenShot, captureToolWindow, captureWindow, captureWindow, captureWindow, closeNonProgramArchives, closeProvider, createBookmark, createEmptyImage, crop, doubleClickCursor, drawArrow, drawArrow, drawBorder, drawLine, drawOval, drawRectangle, drawRectangle, drawRectangleAround, drawRectangleAround, drawRectangleWithDropShadowAround, drawText, drawText, error, exit, fillRectangle, findProviderToolBarButton, findRowByPartialText, generateImage, getBounds, getCursorBounds, getDialog, getDialog, getDockableComponent, getDockableComponent, getField, getPopupMenu, getProvider, getProvider, go, goToListing, goToListing, goToListing, hideTableColumn, leftClickCursor, loadPlugin, loadPlugin, loadProgram, loadProgram, makeSelection, makeSelection, middleClickCursor, moveProvider, moveProviderToFront, moveProviderToFront, moveProviderToItsOwnWindow, moveProviderToItsOwnWindow, moveWindowUp, newTestEnv, padImage, paintFix, performAction, performAction, performDialogAction, performMemorySearch, placeImagesSideBySide, positionCursor, positionCursor, positionListingCenter, positionListingTop, prepareCommentsDialog, prepareTool, pressButtonOnDialog, pressOkOnDialog, readImage, removeField, removeFlowArrows, rightClickCursor, scrollToRow, selectRow, selectRow, setDividerPercentage, setDockIcon, setListingFieldWidth, setSelected, setSelectedAnayzer, setToolSize, setUp, setUser, setWindowSize, showAnalysisOptions, showColumnSettings, showCommentDialog, showMenuBarMenu, showOptions, showProgramOptions, showProvider, showTab, showTableColumn, takeSnippet, tearDown, topOfListing, writeFile`

  ### Methods inherited from class ghidra.test.AbstractGhidraHeadedIntegrationTest

  `addPlugin, click, click, click, click, createApplicationConfiguration, createApplicationLayout, getAction, getPluginByName, saveTool, showDialogWithoutBlocking, showTool, waitForBusyTool, waitForProgram`

  ### Methods inherited from class ghidra.test.AbstractGhidraHeadlessIntegrationTest

  `applyCmd, cleanDbTestDir, createDefaultProgram, createDefaultProgram, debugProgramInTool, deleteProject, getLanguageCompilerSpecPair, getLanguageService, getPlugin, getSLEIGH_8051_LANGUAGE, getSLEIGH_X86_64_LANGUAGE, getSLEIGH_X86_LANGUAGE, getUniqueSymbol, getUniqueSymbol, getZ80_LANGUAGE, goTo, goTo, initializeSystemProperties, makeSelection, makeSelection, makeSelection, makeSelection, modifyProgram, modifyProgram, redo, redo, redo, replaceService, toAddressSet, toAddressSet, toAddressSet, tx, tx, undo, undo, undo, waitForScriptCompletion`

  ### Methods inherited from class docking.test.AbstractDockingTest

  `assertEnabled, assertIconsEqual, assertToggleButtonSelected, capture, clickComponentProvider, clickComponentProvider, close, close, closeAllWindows, closeAllWindows, closeAllWindowsAndFrames, closeProvider, closeSaveChangesDialog, createContext, createContext, createRenderedImage, createScreenImage, disposeErrorGUI, dockingSetUp, dockingTearDown, expandPath, expandTree, findButtonByActionName, findButtonByIcon, findButtonByText, findComponent, findComponentByName, getAction, getAction, getAction, getActionsByName, getActionsByOwner, getActionsByOwnerAndName, getClipboardText, getComponentProvider, getDialogComponent, getDialogComponentProvider, getDockableComponent, getLocalAction, getMessageText, getNode, getOpenWindowsAsString, getStatusText, getTitleForWindow, getURL, getWindow, getWindowByTitle, getWindowByTitleContaining, getWindows, isEnabled, isEnabled, isEnabled, isSelected, isUseErrorGUI, performAction, performAction, performAction, performAction, performDialogAction, pressButtonByText, pressButtonByText, printOpenWindows, selectPath, selectTabIfAvailable, setErrorGUIEnabled, setToggleActionSelected, setToggleActionSelected, setToggleButtonSelected, setToggleButtonSelected, showProvider, triggerActionKey, triggerActionKey, triggerBackspaceKey, triggerEnter, triggerEscapeKey, triggerKey, triggerKey, triggerKey, triggerText, triggerText, waitForComponentProvider, waitForComponentProvider, waitForComponentProvider, waitForDialogComponent, waitForDialogComponent, waitForDialogComponent, waitForErrorDialog, waitForInfoDialog, waitForJDialog, waitForJDialog, waitForTableModel, waitForTree, waitForUpdateOnChooser, waitForWindow, waitForWindow, waitForWindow, waitForWindowByName, waitForWindowByTitleContaining, writeImage, writeImage`

  ### Methods inherited from class generic.test.AbstractGuiTest

  `assertColorsEqual, clickListRange, clickMouse, clickMouse, clickTableCell, clickTableRange, doubleClick, dragMouse, editCell, executeOnSwingWithoutBlocking, findAbstractButtonByName, findAbstractButtonByText, findButtonByIcon, findButtonByText, findComponent, findComponent, findComponentByName, findComponentByName, findComponents, findComponents, findComponentsByName, findOwnedWindows, findPathToText, findTreePathToText, fixupGUI, getAllWindows, getRenderedTableCellValue, getText, leftClick, middleClick, moveMouse, postEvent, pressButton, pressButton, pressButtonByName, pressButtonByName, pressButtonByText, pressButtonByText, printMemory, privatewaitForSwing_SwingSafe, rightClick, runSwing, runSwing, runSwing, runSwingLater, runSwingWithException, setComboBoxSelection, setText, waitForPostedSwingRunnables, waitForSwing, waitForTasks, waitForTasks, yieldToSwing`

  ### Methods inherited from class generic.test.AbstractGenericTest

  `createStackTraceForAllThreads, createTempDirectory, createTempFile, createTempFile, createTempFileForTest, createTempFileForTest, createTempFilePath, createTempFilePath, deleteMatchingTempFiles, deleteSimilarTempFiles, findTestDataFile, getDebugFileDirectory, getFontMetrics, getInstanceField, getInstanceFieldByClassType, getLocalResourceFile, getTestDataDir, getTestDataDirectory, getTestDataFile, hasTestFailed, initializeLayout, invokeConstructor, invokeInstanceMethod, invokeInstanceMethod, loadTextResource, loadTextResource, resetLogging, setErrorsExpected, setInstanceField, setLogLevel, setLogLevel, testFailed, toString, windowForComponent`

  ### Methods inherited from class generic.test.AbstractGTest

  `assertArraysEqualOrdered, assertArraysEqualUnordered, assertArraysEqualUnordered, assertContainsExactly, assertContainsExactly, assertContainsString, assertContainsStringIgnoringCase, assertListEqualOrdered, assertListEqualOrdered, assertListEqualsArrayOrdered, assertListEqualsArrayUnordered, assertListEqualUnordered, bytes, failWithException, getName, getRandomInt, getRandomInt, getRandomString, getRandomString, getTestDirectoryPath, sleep, waitFor, waitFor, waitFor, waitFor, waitFor, waitForCondition, waitForCondition, waitForCondition, waitForConditionWithoutFailing, waitForValue, waitForValueWithoutFailing`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TutorialScreenShotGenerator

    public TutorialScreenShotGenerator()

- ## Method Details

  - ### showImage

    @Deprecated public void showImage()
    Deprecated.
    NOTE: Please do not remove this until we have decided how to create a showImage() method that is compatible with screenshots NOT in Help (ahem, Tutorial!!!).

  - ### saveToFile

    protected void saveToFile(String absolutePathToImage)